import time
from selenium import webdriver
from selenium.webdriver.firefox.options import Options
from selenium.webdriver.common.by import By
from selenium.webdriver.common.keys import Keys

# ブラウザをヘッドレスで起動するためのオプション指定
options = Options()
options.add_argument('-headless')
driver = webdriver.Firefox(options=options)

# Googleのトップ画面を開く
driver.get('https://www.google.co.jp/')

# 画面表示を最大5秒待つ
driver.implicitly_wait(5)

# 検索語を入力する
input_element = driver.find_element(By.NAME, 'q')
input_element.send_keys('Raspberry Pi' + Keys.RETURN)

# 検索結果が出るまでちょっと待つ
time.sleep(3)

# スクリーンショットを保存する
driver.save_screenshot('google.png')

# ブラウザを終了する
driver.close()
